
 LinHES - Bug # 771: DHCP not working in R7.00.02

Status: No user feedback Priority: Normal
Author: jzigmyth Category: Installation/Upgrade
Created: 06/09/2011 Assignee: jams
Updated: 01/04/2012 Due date:
Description: The default install from CD with network set to DHCP does not result in an IP address being assigned.  

Setting a static IP during install from CD does work properly.

History
06/09/2011 10:30 am - jams
please attach the debugging logs located int /tmp of the install CD.

06/09/2011 03:53 pm - jzigmyth
- File if.static.log added

- File if.dhcp.log added

- File systemconfig_debug.static.log added

- File systemconfig_debug.dhcp.log added

I have attached the debug logs for a static IP and DHCP.  I have also attached the output of ifconfig for each configuration.

06/10/2011 10:37 am - jzigmyth
Once the system is up and running, if I @sudo dhcpcd@ then it gets an IP and all is well.  It appears that dhcpcd is never started when dhcp is selected 
(which is the default on an install).

06/10/2011 12:16 pm - jams
this is odd, as according to the log is does get an address during the install phase, but then fails later on.

Thx  I will look into this when I get a chance.

08/01/2011 08:41 am - jams
- Status changed from New to Feedback

Tried for a couple hours and I can't duplicate this.
Please test this on the next test iso, and report back.

08/01/2011 12:32 pm - jzigmyth
I don't see anything newer that R7.00.02 so I'm assuming you mean to wait till the next one comes out.  If I'm mistaken on this, let me know where to 
find the next test iso.  Thanks.

01/04/2012 10:23 am - jams
- Status changed from Feedback to No user feedback

Files
systemconfig_debug.dhcp.log 17 kB 06/09/2011 jzigmyth
systemconfig_debug.static.log 17.2 kB 06/09/2011 jzigmyth
if.dhcp.log 869 Bytes 06/09/2011 jzigmyth
if.static.log 943 Bytes 06/09/2011 jzigmyth
